Subject: Re: bug#12797: 24.3.50; mml-atttach-file (C-c C-a) and ido

From: Jambunathan K <[email-masked]>
Date: Tue, 06 Nov 2012 01:52:37 +0530

I have tried my level best to make myself understood.  I cannot do any
better than what I have noted in earlier mails.

In summary, 

there are differences between how ido reads file name at C-x C-f prompt
and how `read-file-name' reads file name while doing C-c C-a.  The
differences are subtle and it is annoying.

The suggestion was to map `read-file-name' calls to `ido-read-file-name'
within ido.el so that a typical user (that is me!) is not annoyed.
--